#
# Conditional build:
%bcond_without  python2 # Python 2.x module
%bcond_without  python3 # Python 3.x module

%define	module	logilab-common
Summary:	Logilab common modules
Summary(pl.UTF-8):	Wspólne moduły Logilab
Name:		python-logilab-common
Version:	0.63.2
Release:	3
License:	LGPL v2.1+
Group:		Development/Languages/Python
#Source0Download: https://pypi.python.org/pypi/logilab-common
Source0:	https://pypi.python.org/packages/source/l/logilab-common/%{module}-%{version}.tar.gz
# Source0-md5:	2bf4599ae1f2ccf4603ca02c5d7e798e
URL:		http://www.logilab.org/project/logilab-common
%if %{with python2}
BuildRequires:	python-devel
BuildRequires:	python-modules >= 1:2.6
BuildRequires:	python-setuptools >= 7.0
%endif
%if %{with python3}
BuildRequires:	python3-devel
BuildRequires:  python3-modules >= 1:3.3
BuildRequires:	python3-setuptools >= 7.0
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
%pyrequires_eq	python-modules
Requires:	python-six >= 1.4.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The package logilab.common contains several modules providing low
level functionalities shared among several Python projects developed
by Logilab.

%description -l pl.UTF-8
Pakiet logilab.common zawiera różne moduły dostarczające
niskopoziomową funkcjonalność wykorzystywaną przez różne pythonowe
projekty tworzone przez Logilab.

%package -n python3-%{module}
Summary:	Logilab common modules
Summary(pl.UTF-8):	Wspólne moduły Logilab
Group:		Development/Languages/Python
Requires:	python3-six >= 1.4.0

%description -n python3-%{module}
The package logilab.common contains several modules providing low
level functionalities shared among several Python projects developed
by Logilab.

%description -n python3-%{module} -l pl.UTF-8
Pakiet logilab.common zawiera różne moduły dostarczające
niskopoziomową funkcjonalność wykorzystywaną przez różne pythonowe
projekty tworzone przez Logilab.

%prep
%setup -q -n %{module}-%{version}

# drop python 2.5 egg deps
%{__rm} */*/*py2.5.egg

%build
%if %{with python2}
%{__python} setup.py build
%endif
%if %{with python3}
%{__python3} setup.py build --build-base=build3
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python3}
%{__python3} setup.py build --build-base=build3 install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

touch $RPM_BUILD_ROOT%{py3_sitescriptdir}/logilab/__init__.py
%py3_comp $RPM_BUILD_ROOT%{py3_sitescriptdir}/logilab/
%py3_ocomp $RPM_BUILD_ROOT%{py3_sitescriptdir}/logilab/

mv $RPM_BUILD_ROOT%{_bindir}/pytest{,3}
%endif

%if %{with python2}
%{__python} setup.py install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

# because some logilab's software depend on this package
# and some not, so they all provide the __init__.py and we
# have to remove it in dependent software
touch $RPM_BUILD_ROOT%{py_sitescriptdir}/logilab/__init__.py
%py_comp $RPM_BUILD_ROOT%{py_sitescriptdir}/logilab/
%py_ocomp $RPM_BUILD_ROOT%{py_sitescriptdir}/logilab/

%py_postclean
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc ChangeLog README
# isn't name too generic?
%attr(755,root,root) %{_bindir}/pytest
%dir %{py_sitescriptdir}/logilab
%{py_sitescriptdir}/logilab/__init__.py[co]
%{py_sitescriptdir}/logilab/common
%{py_sitescriptdir}/logilab_common-%{version}-py*-nspkg.pth
%{py_sitescriptdir}/logilab_common-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc ChangeLog README
# isn't name too generic?
%attr(755,root,root) %{_bindir}/pytest3
%{py3_sitescriptdir}/logilab
%{py3_sitescriptdir}/logilab_common-%{version}-py*-nspkg.pth
%{py3_sitescriptdir}/logilab_common-%{version}-py*.egg-info
%endif
%changelog
* Mon Sep 14 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-logilab-common.git;a=log;h=master

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 031e609
- python3.5 rebuild
- release 3 (by relup.sh)

* Sun Sep 13 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 6100f37
- python 3.5 rebuild
- release 2 (by relup.sh)

* Wed Jun 17 2015 Jakub Bogusz <qboosh@pld-linux.org> d6db8fd
- note download URL

* Thu Jun 11 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> a2e0fcb
- Version: 0.63.2

* Mon May 04 2015 Jan Rękorajski <baggins@pld-linux.org> a7131b1
- x32 rebuild
- release 2 (by relup.sh)

* Thu Nov 27 2014 Jakub Bogusz <qboosh@pld-linux.org> 95e680c
- updated to 0.63.0 (now uses six for python2/3 compatibility instead of applying 2to3)
- added py3 patch (fixes remaining python3 syntax errors found by modules compilation)

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 2769773
- python 3.4
- release 2 (by relup.sh)

* Fri Feb 14 2014 Jakub Bogusz <qboosh@pld-linux.org> 53c1200
- updated to 0.61.0

* Sat Sep 07 2013 Jakub Bogusz <qboosh@pld-linux.org> fa7d5d5
- updated to 0.60.0
- removed obsolete 136037,137244 patches

* Tue May 28 2013 Jacek Konieczny <j.konieczny@eggsoft.pl> 42c5fd7
- Fixed some crashes under Python 3

* Mon May 27 2013 Jacek Konieczny <jajcus@jajcus.net> fc34fe6
- bconds fix

* Mon May 27 2013 Jacek Konieczny <j.konieczny@eggsoft.pl> 301ce2d
- Python3 support

* Wed May 15 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 608a45d
- rel 2; avoid python(abi) = 2.5 dependency

* Wed May 15 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> d859ec7
- up to 0.59.1

* Sun Apr 07 2013 Jakub Bogusz <qboosh@pld-linux.org> fc5535c
- License is LGPL; use __python macro

* Sun Apr 07 2013 Jakub Bogusz <qboosh@pld-linux.org> 1d87f75
- be more verbose directly in py_sitescriptdir

* Fri Jan 27 2012 zbyniu <zbyniu@pld-linux.org> dc74c14
- up to 0.57.1

* Sat Sep 03 2011 Jacek Konieczny <jajcus@pld-linux.org> 2ee50a0
- Version: 0.56.1

* Mon Dec 27 2010 Patryk Zawadzki <patrys@room-303.com> e87facb
- 0.53.0

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> 7194057
- release 3

